// This is a very simple binary clock.
// It still needs some tweaking to look good in every situation,
// but at the moment it's good enough to demonstrate that
// non-analog clocks are possible too ;)

if (showSeconds) {
	scale = Math.min(screenHeight/3, screenWidth/6);
}
else {
	scale = Math.min(screenHeight/2, screenWidth/6);
}

function printNumber(n, line) {
	i = n;
	pos = 0;	
	while (i > 0) {
		if (i%2==1) {
			obj = defineLayer("dot.png");
			obj.scaleX = obj.scaleY = scale;
			obj.moveX = screenWidth - (pos+1)*scale;
			obj.moveY = line*scale;
		}
		i = Math.floor(i/2);
		++pos;
	} 
}

if (showSeconds) {
	printNumber(second, 0);
	printNumber(minute, 1);
	printNumber(hour, 2);
}
else {
	printNumber(minute, 0);
	printNumber(hour, 1);
}

function widthForHeight(height) {
	if (showSeconds) return height*2;
	else return height*3;
}

function heightForWidth(width) {
	if (showSeconds) return width/2;
	else return width/3;
}